#include "stdafx.h"
#include "alertwindow.h"

AlertWindow::AlertWindow()
{

}

AlertWindow::~AlertWindow()
{

}

int AlertWindow::Create(HWND parent)
{
	Load("alert");
	message.Load("alert::textbox");
	ok.Load("alert::ok");
	SkinnableWindow::Create(parent);
	message.Create(hWnd,ES_CENTER|ES_MULTILINE);
	ok.Create(hWnd);
	return 1;
}

void AlertWindow::OnButton(HWND h)
{
	if(h==ok.hWnd){
		Hide();
	}
}